"""
$RCSfile: __init__.py,v $
The ExternalFile package is a Zope product.
ExternalFile encapsulates a file in the filesystem for
use as a Zope object

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""
__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/05/26 03:36:17 $'[6:-2]
__version__ = '$Revision: 1.18 $'[10:-2]

import ExternalFile

from CreationDialog import manage_addForm, manage_add_via_gui, \
     create_externalfile_formpart, create_standard_formpart, \
     confirm_create_form, conflict_create_form, confirm_create_action

from ExternalFile import manage_add, manage_add_with_upload

from ExternalFileBatch import manage_batch_addForm, batch_create_form, \
     manage_batch_add, dirlist_func

import ProductProperties as pp

from socket import gethostname

import os.path

def initialize(context):
    """
    
    Initialize the ExternalFile product.  This makes the object appear
    in the Zope product list menu.  initialize() is called by Zope
    when starting a Zope server.  The 'context' argument is an
    instance of App.ProductContext.ProductContext

    """
    try:
        # Grab the package directory from the python builtin __file__
        package_dir = os.path.dirname(pp.__file__)

        # Initialize our mimetype and displaytype maps
        pp.initMimeTypeList(os.path.join(package_dir, 'etc', 'mime.types'))
        pp.initDisplayTypeList(os.path.join(package_dir, 'etc', 'display.types'))

        context.registerClass(ExternalFile.ExternalFile,  # register this class in Zope
                              constructors = (
            manage_addForm,    # called when someone adds product to a folder
            create_externalfile_formpart,
            create_standard_formpart,
            manage_add_via_gui,
            confirm_create_form,
            conflict_create_form,
            confirm_create_action,
            gethostname,
            manage_add,
            manage_add_with_upload),
                              icon = 'www/externalFile.gif'
                              )

        context.registerClass(ExternalFileBatch.ExternalFileBatch,
                              constructors = (
            manage_batch_addForm,
            batch_create_form,            
            manage_batch_add,
            dirlist_func,
            gethostname),
                              icon = 'www/externalFile.gif'
                              )
        
        context.registerHelp()
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
