"""
$RCSfile: testProductProperties.py,v $
Unit tests for ExternalFile.ProductProperties module

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""

import os, sys, tempfile
execfile(os.path.join(sys.path[0], 'framework.py'))

import Zope
import Products.ExternalFile.ProductProperties as pp

class TestProductProperties(unittest.TestCase):

    mimetype_file = os.path.join(os.path.dirname(pp.__file__),
                                 'etc', 'mime.types')

    displaytype_file = os.path.join(os.path.dirname(pp.__file__),
                                    'etc', 'display.types')

    def setUp(self):
        pass

    def testInit(self):

        assert pp.getDefaultMimeType() == 'application/octet-stream'

        # ensure we got all of our mimetypes
        typelist = pp.getMimeTypeList()
        assert typelist.index('text/css') > 0
        assert typelist.index('application/x-jar') > 0

        # ensure we got all of our displaytypes
        assert pp.getDisplayTypeFromMimeType('application/x-javascript') == 'ascii'
        assert pp.getDisplayTypeFromMimeType('application/xml') == 'ascii'
        assert pp.getDisplayTypeFromMimeType('application/x-sh') == 'ascii'
        assert pp.getDisplayTypeFromMimeType('application/zip') == 'binary'
        assert pp.getDisplayTypeFromMimeType('image/jpeg') == 'image'
        assert pp.getDisplayTypeFromMimeType('image/thisisadummy') == 'image'
        assert pp.getDisplayTypeFromMimeType('text/iamfake') == 'ascii'
        assert pp.getDisplayTypeFromMimeType('text/plain') == 'ascii'

framework()
